Api

Intake Purchase Adjustment

POST
/v1/purchase-adjustments

Authorization

WorkspaceApiKey
X-Api-Key<token>

Workspace-owned Better Auth API key of one environment (Sandbox or Live); it authorizes the Projects of that environment in its Workspace. A Project of the other environment returns 403 ENVIRONMENT_MISMATCH. Never expose it in the browser.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/purchase-adjustments" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string",    "sourceNamespaceId": "string",    "externalOperationId": "string",    "resourceType": "invoice",    "externalResourceId": "string",    "kind": "refund",    "occurredAt": "string",    "currency": "string",    "eligibleBaseDeltaMinor": "string",    "reason": "string",    "evidence": {      "property1": "string",      "property2": "string"    }  }'
{  "success": true}